Subject: [Spits] hubcap search

From: "Jim Cullen" <[email-masked]>
Date: Sun, 21 Apr 2013 09:23:03 -0400

Hi,

Unfortunately I lost a hubcap from my 74 spitfire (but I believe the hubcap I
am looking for actually was an option in 1969) b see link for pic. The
hubcap covers the whole wheel and not just the lugnut area like most. I
havenbt found them at any of the regular suppliers. If anyone knows where I
could get one (ie. a supplier or if you have one b or more b in your
garage) I would really appreciate it.

http://www.carcentric.com/spwheelcover.jpg

Thanks

Jim Cullen
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive